#! /bin/sh
# Copyright 2018 - 2023 Zuse Institute Berlin
# Modified by Karlsruhe Institute of Technology <tomas.stary@kit.edu> in year 2023-2024
set -e

#------------------------------------------------------------------------------
# Read the necessary paths and locations
. $ENVFILE

if [ -z "$DOWNLOAD" ]; then
  echo ERROR: EMPTY DOWNLOAD DIRECTORY
  exit 1
fi


# mkdir -p $DOWNLOAD
# cd $DOWNLOAD
# wget -c $HYPRE_SRC_PATH

cd $SCRATCH
TARFILE=`basename $HYPRE_SRC_PATH`
tar xzf $DOWNLOAD/$TARFILE

# Change to Hypre directory. Note that the directory name differs from the tarfile name...
cd hypre*/src

# Build instructions according to Hypre 2.11.2
(export CC CXX FC; ./configure --prefix=$TARGET --without-MPI --with-blas-lib="$BLASLIB" --with-lapack-lib="$LAPACKLIB")
make -j install

echo HYPREINC = -I$TARGET/include/     >> $TARGET/Makefile.Local
echo HYPRELIB = -L$TARGET/lib -lHYPRE  >> $TARGET/Makefile.Local



#------------------------------------------------------------------------------
# Clean up
# if [ -n "$SCRATCH" ]; then
#   echo running rm -r "$SCRATCH"/* in a few seconds
#   sleep 20
#   rm -r "$SCRATCH"/*
# fi


