#! /bin/bash
# Copyright 2018 - 2018 Zuse Institute Berlin
# Modified by Karlsruhe Institute of Technology <tomas.stary@kit.edu> in year 2023-2024
set -e

#------------------------------------------------------------------------------
# Read the necessary paths and locations
. $ENVFILE

cd $DOWNLOAD
wget -c $SUITESPARSE_SRC_PATH

cd $SCRATCH
TARFILE=`basename $SUITESPARSE_SRC_PATH`
tar xzf $DOWNLOAD/$TARFILE

# Build instructions according to SuiteSparse 5.3.0 README
cd SuiteSparse
make JOBS=48 BLAS="$BLASLIB" LAPACK="$LAPACKLIB" library
make JOBS=48 BLAS="$BLASLIB" LAPACK="$LAPACKLIB" INSTALL=$TARGET install

echo UMFPACKINC = -I$TARGET/include/             >> $TARGET/Makefile.Local
echo UMFPACKLIB = -L$TARGET/lib -lumfpack -lamd  >> $TARGET/Makefile.Local


#------------------------------------------------------------------------------
# Clean up
# if [ -n "$SCRATCH" ]; then
#   echo running rm -r "$SCRATCH"/* in a few seconds
#   sleep 20
#   rm -r "$SCRATCH"/*
# fi


