# Kaskade7 Container

The purpose of this directory is to provide installation file necessary to
build the docker container.

## Prerequisites

Installed docker and docker-compose on your system. To check if everything is
working correctly, run the following commands (some might need `sudo`).

MacOS: 
```
brew install colima docker docker-compose
colima start
docker ps
```

GNU/Linux: 
```
apt-get install docker docker-compose
systemctl start docker
docker ps
```

If it exited without an error, then all should be working correctly. Otherwise,
please follow a tutorial for your system.

The last thing is to prepare the environment file for your system. This can be
done by `cp docker/.env{.example,}` and then editing `docker/.env` to reflect
your numeric user id and group id (verify with `id --user` and `id --group`).

## Build the container

Previously we have used pure `docker` with a `Makefile`, however
`docker-compose` is much more appropriate for this purpose.

You can build the container by `docker-compose build`. If you'd like to use
advanced features of BUILDKIT, make sure that you `export DOCKER_BUILDKIT=1`.

## Run the container

Start the container in the background as `docker-compose up --detach`. To
connect to a running container, run `docker-compose exec kaskade7 /entrypoint.sh
bash` (the `/entrypoint.sh` file makes sure that all the environmental variables
are properly set up)

## Copyright

We aim to make the file [reuse compliant](https://reuse.software/) for that we
include the SPDX headers wherever possible.

Unless stated otherwise, the files are licensed under ZIB ACADEMIC LICENSE that
grants the rights only for academic non-commercial purposes. Other uses require
a separate license from the copyright holders.
