#! /bin/bash
# Copyright 2018 - 2023 Zuse Institute Berlin
# Modified by Karlsruhe Institute of Technology <tomas.stary@kit.edu> in year 2023-2024

set -e

source $1

cd ./download
wget -c $BOOST_SRC_PATH
wget -c $GMP_SRC_PATH
wget -c $MPFR_SRC_PATH
wget -c $MPC_SRC_PATH
wget -c $GCC_SRC_PATH
wget -c $HYPRE_SRC_PATH
wget -c $ITSOL_SRC_PATH
# libamira mesh has to be provided
# curl -C -  -o `basename $LIBAMIRAMESH_SRC_PATH`$TARFILE $LIBAMIRAMESH_SRC_PATH
echo "Warning: provide download/`basename $LIBAMIRAMESH_SRC_PATH`."
wget -c $MUMPS_SRC_PATH
wget -c $SUITESPARSE_SRC_PATH

# get and unpack the DUNE core modules and grid manager modules
wget -c $DUNE_SRC_PATH/dune-common-$DUNE_VERSION.tar.gz
wget -c $DUNE_SRC_PATH/dune-geometry-$DUNE_VERSION.tar.gz
wget -c $DUNE_SRC_PATH/dune-grid-$DUNE_VERSION.tar.gz
wget -c $DUNE_SRC_PATH/dune-istl-$DUNE_VERSION.tar.gz
wget -c $DUNE_SRC_PATH/dune-uggrid-$DUNE_VERSION.tar.gz
wget -c $DUNE_SRC_PATH/dune-alugrid-$DUNE_VERSION.tar.gz

FP_NAME=`basename -s .git $FP_SRC_PATH`
if  [ ! -d $FP_NAME ]; then
    git clone $FP_SRC_PATH $FP_NAME
fi
