/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*  This file is part of the library KASKADE 7                               */
/*  https://www.zib.de/research/projects/kaskade7-finite-element-toolbox     */
/*                                                                           */
/*  Copyright (C) 2024-2024 Zuse Institute Berlin                            */
/*                                                                           */
/*  KASKADE 7 is distributed under the terms of the ZIB Academic License.    */
/*    see $KASKADE/academic.txt                                              */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef ASSEMBLE_HH
#define ASSEMBLE_HH

/**
 * \file fem/assemble.hh
 *
 * This is a convenience include that includes itself all header files necessary for
 * full assembler functionality. If you are concerned about compile times and want
 * to include only the code necessary for your requirements, consider including the
 * detailed header files individually:
 * - fem/assemblerCore.hh
 * - fem/assemblerMatrixExtraction.hh
 */

#include "fem/assemblerCore.hh"
#include "fem/assemblerMatrixExtraction.hh"

#endif
