/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*  This file is part of the library KASKADE 7                               */
/*  https://www.zib.de/research/projects/kaskade7-finite-element-toolbox     */
/*                                                                           */
/*  Copyright (C) 2002-2024 Zuse Institute Berlin                            */
/*                                                                           */
/*  KASKADE 7 is distributed under the terms of the ZIB Academic License.    */
/*    see $KASKADE/academic.txt                                              */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef VECTOROPS_HH
#define VECTOROPS_HH

/// \cond internals
// forward declarations
namespace Dune
{
  template <class Entry, int dim>
  class FieldVector;

  template <class Entry, class A>
  class BlockVector;
}
/// \endcond

namespace Kaskade
{
  template <class Entry, class A>
  Dune::BlockVector<Entry,A> vertcat(Dune::BlockVector<Entry,A> const& x,
                                     Dune::BlockVector<Entry,A> const& y)
  {
    Dune::BlockVector<Entry,A> z(x.N()+y.N());

    for (int i=0; i<x.N(); ++i)
      z[i] = x[i];

    for (int i=0; i<y.N(); ++i)
      z[x.N()+i] = y[i];

    return z;
  }

}

#endif
