% Given QSDC matrices (approximate differentiation matrix D,
% approximate integration matrix hatS, spectral integration matrix S),
% computes the l^p mean of the metrics of the SDC iteration matrix
% G over the negative real axis for z=t*lambda.


function r = qsdcMetrics(D,hatS,S,m,q)

n = size(S,1);
I = eye(n);

N = 100;
z = -logspace(-2,3,N);

R = zeros(N,3);
for i=1:N
  G = I - (D-z(i)*hatS) \ (D-z(i)*S);
  [a,b,c] = matrixMetrics(G,m);
  R(i,:) = [a b c];
end

plot(-log10(-z),R)

if q==inf
  r = max(R);
else
  r = mean(R.^q).^(1/q);
end





