// Gmsh project created on Tue Feb  4 08:09:49 2020
SetFactory("OpenCASCADE");
//Outer box
Point(1) = {0,0,0};
Point(2) = {1,0,0};
Point(3) = {1,1,0};
Point(4) = {0,1,0};

//Left inner
Point(5) = {0.245,0.375,0};
Point(6) = {0.255,0.375,0};
Point(7) = {0.255,0.625,0};
Point(8) = {0.245,0.625,0};

//Right inner
Point(9) = {0.745,0.375,0};
Point(10) = {0.755,0.375,0};
Point(11) = {0.755,0.625,0};
Point(12) = {0.745,0.625,0};

// lines of the outer box:
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

// lines of the right inner box:
Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};

// lines of the left inner box:
Line(9) = {9, 10};
Line(10) = {10, 11};
Line(11) = {11, 12};
Line(12) = {12, 9};


// loops of the outside and the two cutouts
Line Loop(14) = {1, 2, 3, 4};
Line Loop(15) = {5, 6,7, 8};
Line Loop(16) = {9,10,11,12};

Plane Surface(17) = {14, 15, 16};


// some parameters for the meshing:
Mesh.Algorithm = 8;
Mesh.RecombineAll = 1;
Mesh.CharacteristicLengthFactor = 0.09;
Mesh.SubdivisionAlgorithm = 1;
Mesh.Smoothing = 20;
Show "*";
