# show plot in first window
set terminal x11 0

# number of desired entries (resolution), 100 here in x and y direction
set dgrid3d 100,100

# same ratio in all directions independently of the window
set size ratio -1

# title
set title "Temperature distribution at end time T"

# style of plot elements
set style line 1 lt 1 lw 0

# 3d plot with data colored at position s (surface), b (bottom), ...
set pm3d at s

# splot: creates plot from data input
splot "function.data" with dots

# pause in sec until window closes/next plot, e.g. pause 15
# or pause -1 to stay open until key is hit
# otherwise gnuplot will exit when script is finished and you won't see anything
pause -1 "Hit any key to continue"

# show next plot in second window
set terminal x11 1

set dgrid3d 50,50
set title "Heat map: Temperature distribution at end time T"
set style fill solid

# contour plot (yields heat map here)
set pm3d map

splot "function.data"
pause -1 "Hit any key to close all"

