# save first plot into png file with defined size and font
set terminal png size 1000,1000 enhanced font "Helvetica,12"
set output 'movingsource_T.png'

# number of desired entries (resolution), 100 here in x and y direction
set dgrid3d 100,100

# same ratio in all directions independently of the window
set size ratio -1

# title
set title "Temperature distribution at end time T"

# style of plot elements
set style line 1 lt 1 lw 0

# 3d plot with data colored at position s (surface), b (bottom), ...
set pm3d at s

# splot: creates plot from data input
splot "function.data" with dots notitle

reset
set output 'movingsource_T_heatmap.png'

set dgrid3d 50,50
set title "Heat map: Temperature distribution at end time T"
set style fill solid

# contour plot (yields heat map here)
set pm3d map

splot "function.data" notitle

set output 'samplepositionEuler.png'

# title
set title "Curve at sample position (Euler method)"

plot "samplepositionEuler.dat"

reset
set terminal png size 1000,800 enhanced font "Helvetica,12"
set output 'samplepositionEuler.png'
set title "Curve at sample position (Euler method)"
set xlabel "Time (s)"
set ylabel "Temperature (K)"
set grid

plot "samplepositionEuler.dat" with linesp lt 1 pt 3
