# save time series plot into gif file with defined size and font
set terminal gif animate nooptimize delay 10 size 600,600 enhanced font "Helvetica,12"
set output 'movingsource.gif'

# number of desired entries (resolution), 50 here in x and y direction
set dgrid3d 100,100

# same ratio in all directions independently of the window
set size ratio -1

# title and style
set title "Heat map moving source tutorial"
set style fill solid

# contour plot (yields heat map here) with fixed color palette range
set cbrange [0:0.2]
set pm3d map

# plot time series
n=40
do for [i=1:n]{
splot sprintf('function%02.0f.equidist.data',i)
}

